Bug 24897 - Remove es-ES installer data
Summary: Remove es-ES installer data
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on: 24871
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-18 15:46 UTC by Bernardo Gonzalez Kriegel
Modified: 2020-05-08 20:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24897: xz compressed patch (79.52 KB, application/octet-stream)
2020-03-19 10:57 UTC, Bernardo Gonzalez Kriegel
Details
Bug 24897: (RM follow-up) Drop tests for es-ES notices (950 bytes, patch)
2020-04-28 05:57 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2020-03-18 15:46:07 UTC
Now we can translate all installer data, then the es-ES directory is no longer needed.
Comment 1 Bernardo Gonzalez Kriegel 2020-03-19 10:57:14 UTC
Created attachment 101004 [details]
Bug 24897: xz compressed patch

With installer data in YAML format and it's translations,
there are no need for localized installer files.

This patch removes es-ES installer files.

To test on top of Bug 24871
1) Apply the patch
2) Translate to spanish
   cd misc/translator
   ./translate update es-ES
   -/translate install es-ES
3) Do a clean install using es-ES,
   check no problems during install
4) Verify MARC21 frameworks, they must
   be translated
Comment 2 Jonathan Druart 2020-04-24 08:28:00 UTC
Trivial, SO and skipping QA

Signed off patch is on https://gitlab.com/joubu/Koha/-/commits/bug_24897
Comment 3 Martin Renvoize 2020-04-27 10:18:25 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 4 Martin Renvoize 2020-04-28 05:57:09 UTC
Created attachment 103823 [details] [review]
Bug 24897: (RM follow-up) Drop tests for es-ES notices

This follow-up removes the tests for the presence and validity of the
spanish translated notices.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-04-28 05:57:33 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-08 20:40:36 UTC
missing dependencies, not backported